Package org.eclipse.birt.chart.model.attribute

# Enum AxisType

java.lang.Object
java.lang.Enum<AxisType>
org.eclipse.birt.chart.model.attribute.AxisType

All Implemented Interfaces:
  `Serializable`, `Comparable<AxisType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum AxisType extends Enum<AxisType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Axis Type', and utility methods for working with them. This type defines the allowed values for Axis types. Any new Axis type needs to be added here to be supported.

See Also:
  - `AttributePackage.getAxisType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATE_TIME_LITERAL`
The 'Date Time' literal object.
`LINEAR_LITERAL`
The 'Linear' literal object.
`LOGARITHMIC_LITERAL`
The 'Logarithmic' literal object.
`TEXT_LITERAL`
The 'Text' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATE_TIME`
The 'Date Time' literal value.
`static final int`
`LINEAR`
The 'Linear' literal value.
`static final int`
`LOGARITHMIC`
The 'Logarithmic' literal value.
`static final int`
`TEXT`
The 'Text' literal value.
`static final List<AxisType>`
`VALUES`
A public read-only list of all the 'Axis Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static AxisType`
`get(int value)`
Returns the 'Axis Type' literal with the specified integer value.
`static AxisType`
`get(String literal)`
Returns the 'Axis Type' literal with the specified literal value.
`static AxisType`
`getByName(String name)`
Returns the 'Axis Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static AxisType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AxisType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINEAR_LITERAL

public static final AxisType LINEAR_LITERAL
The 'Linear' literal object.

If the meaning of 'Linear' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LINEAR`

### LOGARITHMIC_LITERAL

public static final AxisType LOGARITHMIC_LITERAL
The 'Logarithmic' literal object.

If the meaning of 'Logarithmic' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LOGARITHMIC`

### TEXT_LITERAL

public static final AxisType TEXT_LITERAL
The 'Text' literal object.

If the meaning of 'Text' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TEXT`

### DATE_TIME_LITERAL

public static final AxisType DATE_TIME_LITERAL
The 'Date Time' literal object.

If the meaning of 'Date Time' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DATE_TIME`

## Field Details

### LINEAR

public static final int LINEAR
The 'Linear' literal value.

See Also:
  - `LINEAR_LITERAL`
  - Constant Field Values

### LOGARITHMIC

public static final int LOGARITHMIC
The 'Logarithmic' literal value.

See Also:
  - `LOGARITHMIC_LITERAL`
  - Constant Field Values

### TEXT

public static final int TEXT
The 'Text' literal value.

See Also:
  - `TEXT_LITERAL`
  - Constant Field Values

### DATE_TIME

public static final int DATE_TIME
The 'Date Time' literal value.

See Also:
  - `DATE_TIME_LITERAL`
  - Constant Field Values

### VALUES

public static final List<AxisType> VALUES
A public read-only list of all the 'Axis Type' enumerators.

## Method Details

### values

public static AxisType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AxisType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static AxisType get(String literal)
Returns the 'Axis Type' literal with the specified literal value.

### getByName

public static AxisType getByName(String name)
Returns the 'Axis Type' literal with the specified name.

### get

public static AxisType get(int value)
Returns the 'Axis Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<AxisType>`